Skills
CompozyOS Skills HTTP endpoints.
workspace?stringWorkspace id or path for resolution context
profile?stringExact profile name
for_agent?stringLogical agent name for agent-local resolution
OK
application/json- response
skills*array<>curl -X GET "https://example.com/api/skills"{ "skills": [ { "activation": { "active": true, "reasons": [ { "code": "platform_mismatch", "gate": "string", "message": "string", "missing": [ "string" ] } ] }, "description": "string", "diagnostics": [ { "activation_reasons": [ { "code": "platform_mismatch", "gate": "string", "message": "string", "missing": [ "string" ] } ], "failure": { "actual_hash": "string", "code": "string", "expected_hash": "string", "message": "string" }, "name": "string", "path": "string", "source": "string", "state": "valid", "verification_status": "passed", "warnings": [ { "message": "string", "pattern": "string", "severity": "string" } ], "winning_path": "string", "winning_source": "string" } ], "dir": "string", "enabled": true, "exposures": [ { "path": "string", "status": "healthy", "target": "string" } ], "metadata": { "property1": null, "property2": null }, "name": "string", "origin": "string", "owner_id": "string", "owner_scope": "string", "provenance": { "installed_at": "2019-08-24T14:15:22Z", "installed_from_extension": "string", "precedence_tier": "string", "registry": "string", "shadowed_by": [ { "detected_at": "2019-08-24T14:15:22Z", "origin": "string", "path": "string", "resolved_to_winner": true, "tier": "string" } ], "slug": "string", "version": "string" }, "source": "string", "version": "string" } ]}name*stringSkill name
workspace_id?stringCanonical workspace id for resolution context
profile?stringExact profile name
for_agent?stringLogical agent name for agent-local resolution
OK
application/json- response
skill*curl -X GET "https://example.com/api/skills/string"{ "skill": { "activation": { "active": true, "reasons": [ { "code": "platform_mismatch", "gate": "string", "message": "string", "missing": [ "string" ] } ] }, "description": "string", "diagnostics": [ { "activation_reasons": [ { "code": "platform_mismatch", "gate": "string", "message": "string", "missing": [ "string" ] } ], "failure": { "actual_hash": "string", "code": "string", "expected_hash": "string", "message": "string" }, "name": "string", "path": "string", "source": "string", "state": "valid", "verification_status": "passed", "warnings": [ { "message": "string", "pattern": "string", "severity": "string" } ], "winning_path": "string", "winning_source": "string" } ], "dir": "string", "enabled": true, "exposures": [ { "path": "string", "status": "healthy", "target": "string" } ], "metadata": { "property1": null, "property2": null }, "name": "string", "origin": "string", "owner_id": "string", "owner_scope": "string", "provenance": { "installed_at": "2019-08-24T14:15:22Z", "installed_from_extension": "string", "precedence_tier": "string", "registry": "string", "shadowed_by": [ { "detected_at": "2019-08-24T14:15:22Z", "origin": "string", "path": "string", "resolved_to_winner": true, "tier": "string" } ], "slug": "string", "version": "string" }, "source": "string", "version": "string" }}name*stringSkill name
workspace?stringWorkspace id or path for resolution context
profile?stringExact profile name
for_agent?stringLogical agent name for agent-local resolution
OK
application/json- response
content*stringcurl -X GET "https://example.com/api/skills/string/content"{ "content": "string"}name*stringSkill name
workspace?stringWorkspace id or path for resolution context
profile?stringExact profile name
for_agent?stringLogical agent name for agent-local resolution
OK
application/json- response
ok*booleancurl -X POST "https://example.com/api/skills/string/disable"{ "ok": true}name*stringSkill name
workspace?stringWorkspace id or path for resolution context
profile?stringExact profile name
for_agent?stringLogical agent name for agent-local resolution
OK
application/json- response
ok*booleancurl -X POST "https://example.com/api/skills/string/enable"{ "ok": true}name*stringSkill name
profile?stringExact acting profile name
for_agent?stringLogical agent name for agent-local resolution
JSON request body
application/json- body
targets*array<string>workspace_id?stringOK
application/json- response
name*stringresults*array<>rolled_back*booleanworkspace_id?stringcurl -X POST "https://example.com/api/skills/string/expose" \ -H "Content-Type: application/json" \ -d '{ "targets": [ "string" ] }'{ "name": "string", "results": [ { "cleanup_error": { "code": "string", "message": "string", "occupied_by": "string" }, "error": { "code": "string", "message": "string", "occupied_by": "string" }, "exposure": { "path": "string", "status": "healthy", "target": "string" }, "ok": true, "target": "string" } ], "rolled_back": true, "workspace_id": "string"}name*stringSkill name
workspace?stringWorkspace id or path for resolution context
profile?stringExact profile name
for_agent?stringLogical agent name for agent-local resolution
OK
application/json- response
name*stringshadows*array<>winner*curl -X GET "https://example.com/api/skills/string/shadows"{ "name": "string", "shadows": [ { "detected_at": "2019-08-24T14:15:22Z", "origin": "string", "path": "string", "resolved_to_winner": true, "tier": "string" } ], "winner": { "detected_at": "2019-08-24T14:15:22Z", "origin": "string", "path": "string", "resolved_to_winner": true, "tier": "string" }}name*stringSkill name
profile?stringExact acting profile name
for_agent?stringLogical agent name for agent-local resolution
JSON request body
application/json- body
targets*array<string>workspace_id?stringOK
application/json- response
name*stringresults*array<>workspace_id?stringcurl -X POST "https://example.com/api/skills/string/unexpose" \ -H "Content-Type: application/json" \ -d '{ "targets": [ "string" ] }'{ "name": "string", "results": [ { "cleanup_error": { "code": "string", "message": "string", "occupied_by": "string" }, "error": { "code": "string", "message": "string", "occupied_by": "string" }, "exposure": { "path": "string", "status": "healthy", "target": "string" }, "ok": true, "target": "string" } ], "workspace_id": "string"}